/* schaltjahr.c
   berechnet, ob ein Jahr nach den Gregorianischen Kalender ein Schaltjahr ist.
   Achtung: Vor 1582 war jedes Jahr mit durch 4 teilbarer Zahl ein Schaltjahr 
   (Julianischer Kalender). */

#include <stdio.h>
main() {
  int jahr;
  while(1) {
    printf("Gib Jahreszahl ein: ");
    scanf("%d", &jahr);
    if ( schalt(jahr) )
      printf("%d ist ein Schaltjahr\n", jahr);
    else 
      printf("%d ist kein Schaltjahr\n", jahr);
  }
}

int schalt(int j) {
  if ( j % 4 == 0 && j % 100 != 0 || j % 400 == 0 ) 
    return 1;
  else
    return 0;
}
