/* titel: getch.c, gepufferte getchar-Variante mit unget-Moeglichkeiten
	fuer mehr als 1 Zeichen */

#define BUFSIZE 100		/* K&R 2nd, p. 79 */
static char    buf[BUFSIZE];
static int     bufp = 0;
int     getch (void) {
            return (bufp > 0) ? buf[--bufp] : getchar ();
}
void ungetch (int c) {
    if (bufp >= BUFSIZE)
	printf ("ungetch: too many characters\n");
    else
	buf[bufp++] = c;
}
/* ------------------------- Ende von getch.c --------------------------- */
