/* primzahlen.c                                                        */
/* Das zweitaelteste Computerprogramm der Welt-: von anno -250.        */
/* Copyright: ERATOSTHENES, Philologe, Informatiker und Geograph       */

#include <stdio.h>

#define TRUE  1            /* Vorabdeklaration einiger Werte */
#define FALSE 0
#define MAX   4000000

char flags[MAX];           /* Deklaration eines Feldes ("array") von .. */
                           /* MAX Variablen flags[0], ...flags[MAX - 1] */
                           /* vom Typ "character"; 1 byte               */

main() {
      int i,prime,k,count,size;
      printf("Bestimmung aller Primzahlen bis (Zahl>=2) : "); 
      scanf("%d", &size);
      size = (size+1)/2-2; count = 1; /* Nur ungerade Zahlen werden gesiebt */

      for (i = 0; i <= size; i++)     /* Initialisiere das ...              */
          flags[i]=TRUE;              /* ... ganze Feld                     */

      for (i = 0; i <= size; i++) {
          if (flags[i]) {            /* Ist flag[i]=TRUE, so ist i+i+3 prim */
                prime = i+i+3; k=i+prime;
                while (k<=size) {                 /* also streiche alle ... */
                    flags[k] = FALSE; k += prime; /* seine nichttrivialen   */
                }                                 /* Vielfachen             */
                count++;                          /* und zaehle.            */
           }
       }
       printf("\n%d Primzahlen\n",count);
       printf("\nLetzte: %d\n",prime);

}
