/* primzahlen_loesung.2.4.c                                                        */
/* Das zweitaelteste Computerprogramm der Welt-: von anno -250.        */
/* Copyright: ERATOSTHENES, Philologe, Informatiker und Geograph       */

#include <stdio.h>

#define TRUE  1            /* Vorabdeklaration einiger Werte */
#define FALSE 0
#define MAX   30000000

/* alle durch 2 und 3 teilbaren Zahlen bleiben unberuecksichtigt,
   also verbleiben nur : */

char flags0[MAX];     /* flags0[i] --> n = 6*i+5 */        
char flags1[MAX];     /* flags1[i] --> n = 6*i+7 */

main() {
  unsigned int i, prime, k, count, size;
  unsigned int m;
  printf("Bestimmung aller Primzahlen bis (Zahl>=2) : "); 
  scanf("%d", &size);
  //size = 90000000;
  size = (size+6)/6-2; count = 2; 
  printf(" 2 3");

  for (i = 0; i <= size; i++)     
    flags0[i] = flags1[i] = TRUE;
   
  for (i = 0; i <= size; i++) {
    if ( flags0[i] ) {
      prime = 6*i + 5; k = i + prime;
      while (k <= size) {                
	/* k = i + j*prime --> 6*i + 6*j*prime + 5 = (6*j+1)*prime 
	   mit  j >= 1 */
	flags0[k]  = FALSE; k += prime;
      }
      m = prime - i - 2; // 5*i+3
      while (m <= size) {                 
	/* m = 5*i+3 + j*prime --> 30*i+18 + 6*j*prime + 7 = (6*j+5)*prime
	   mit j >= 0 */
	flags1[m]  = FALSE; m += prime;
      }                                 
      count++;
      printf(" %u",prime);
    }
    if ( flags1[i] ) {
      prime = 6*i + 7; k = i + prime;
      /* k = i + j*prime --> 6*i + 6*j*prime + 7 = (6*j+1)*prime 
         mit j >= 1 */
      while (k <= size) {                 
	flags1[k]  = FALSE; k += prime; 
      }
      m = prime - i - 2; // 5*i+5
      while (m <= size) {                 
	/* m = 5*i+5 + j*prime --> 30*i+30 + 6*j*prime + 5 = (6*j+5)*prime
	   mit j >= 0 */
	flags0[m]  = FALSE; m += prime;
      }
      count++;
      printf(" %u",prime);
    }
  }
  printf("\n%d Primzahlen; letzte: %d\n",count,prime);
}
