/* titel: springer.c, Roesselsprung-Programm */

#define ZZ 8                                 /* Feldgroesse */
int z;

int FELD[ ZZ ][ ZZ ];                        /* Feld                  */
int a[] = { 2, 1, -1, -2, -2, -1,  1,  2 };  /* Koordinaten der       */
int b[] = { 1, 2,  2,  1, -1, -2, -2, -1 };  /* Springerzuege         */

int xx=0, yy=0;      /* Anfangswerte irrelevant fuer cylc. Loesung */
int count=0; 

main() {
    z = 4;
    while ( 1 ) {
      printf("Zeilen: "); scanf("%d",&z);
      if ( z <= 1 || z > ZZ)
	exit(0);
      { int i,j;
        for (i=0;i<z;i++)
	  for (j=0;j<z;j++)
	    FELD[i][j] = 0;
      }
      count = 0;
      FELD[ xx ][ yy ] = 1;
      if ( versuche( xx, yy ) )
	drucke();
      else printf("\nKeine Loesung\n");
    }
}

versuche( int x, int y) {     
      int k, q, u, v;
      for (k = q = 0; q == 0 && k < 8; k++) {
	  u = x+a[k]; v = y+b[k];
	  if ( 0 <= u && u < z && 0 <= v && v < z && FELD[u][v] == 0 ){	
              FELD[u][v] = FELD[x][y] + 1;		
	      if ( FELD[u][v] == z*z ) {
		printf("%d: (%2d %2d)\n",++count, u+1,v+1);
		drucke();
		if ( abs(u-xx)*abs(v-yy) == 2 ) 
		  q = 1;
		else {
		  q = 0; FELD[u][v] = 0;
		}
	      }
	      else
		  if ( (q = versuche( u, v) ) == 0)
		      FELD[u][v] = 0;
          }
      }
      return(q);
}




drucke() {
     int i, j;
     printf("\n");
     for (i = 0; i < z; i++) {
         for (j = 0; j < z; j++)
             printf("%3d", FELD[i][j]);
         printf("\n");
     }
}
