// swap-template.cc
#include <iostream.h>
template <class T>
inline void swap(T& x, T& y) {
  T tmp = x; 
  x = y; y = tmp;
}
template <class S> 
ostream& out(char* xx, S x, char *yy, S y) {
  return cout<<xx<<" = "<<x<<", "<<yy<<" = "<<y;
}
void main() {
  int    x = 1, y = 2; float  u = 1.0, v = 0.4;
  double e = 2.7182818, pi = 3.14159265;
  out("x",x,"y",y)<<'\n';   swap(x,y);  out("x",x,"y",y)<<'\n';
  out("u",u,"v",v)<<'\n';   swap(u,v);  out("u",u,"v",v)<<'\n';
  out("e",e,"pi",pi)<<'\n'; swap(e,pi); out("e",e,"pi",pi)<<'\n';
}
/* Ausgabe:     x = 1, y = 2
                x = 2, y = 1
                u = 1, v = 0.4
                u = 0.4, v = 1
                e = 2.71828, pi = 3.14159
                e = 3.14159, pi = 2.71828          */
