// ueberl.cc
// Ueberlaedt die Bib-Fkt double pow(double,double)
// durch                  double pow(double,int)
// Zu uebersetzen mit: g++ ueberl.cc -o ueberl -lm
#include <iostream.h>
#include <math.h>
double pow(double f, int i) {           // zweites Argument jetzt int !!
  cout << " (Integer Exponent)\n";
  if (i == 0) return 1;
  if (i < 0) { i = -i; f = 1/f;  }
  if (i == 1) return f;
  double res = f; // Deklarationen muessen in C++ nicht am Anfang eines Blocks stehen
  while (i-- > 1) 
    res *= f;
  return res;
}

int pow(int f, int i) {           // erstes und zweites Argument jetzt int !!
  cout << " (Integer Base and Exponent)\n";
  if (i < 0) {
    cout << "Fehler: Negativer Exponent fuer int-Funktion\n";
    exit(1);
  }
  if (i==0) return 1;
  if (i==1) return f;
  int res = f; // Deklarationen muessen in C++ nicht am Anfang eines Blocks stehen
  while (i-- > 1) 
    res *= f;
  return res;
}

main() {
  double f = 1.234, e = 2.718;
  for (int i = 0; i < 4; i++) {         // int i hier: C++ -spezifisch !
    cout << f << " hoch " << i   << " = " << pow(i,i)           << '\n';
    cout << f << " hoch " << i   << " = " << pow(f,i)           << '\n';
    cout << f << " hoch " << i   << " = " << pow(f,(double)i)   << '\n';
    cout << f << " hoch " << e+i << " = " << pow(f,e+i)         << '\n';
  }
} 

